Install qtwebkit for PyQt4 in Linux CentOS 6.4

Posted: June 27, 2013 in FX Pipeline, Linux

qt-main

Install qtwebkit for PyQt4 in Linux CentOS 6.4 (RHEL)

Go To Terminal (with root)

[root@elitebook rajiv]# yum install PyQt4
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: centos.aol.in
* elrepo: elrepo.org
* epel: ftp.ps.pl
* extras: centos.aol.in
* remi: fr2.rpmfind.net
* rpmforge: apt.sw.be
* updates: centos-hn.viettelidc.com.vn
Setting up Install Process
Package PyQt4-4.6.2-9.el6.x86_64 already installed and latest version
Nothing to do
[root@elitebook rajiv]#

[root@elitebook rajiv]# yum –nogpgcheck install PyQt4-web*
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: centos.aol.in
* elrepo: elrepo.org
* epel: ftp.ps.pl
* extras: centos.aol.in
* remi: fr2.rpmfind.net
* rpmforge: apt.sw.be
* updates: centos-hn.viettelidc.com.vn
Setting up Install Process
Resolving Dependencies
–> Running transaction check
—> Package PyQt4-webkit.x86_64 0:4.6.2-8.el6 will be installed
—> Package PyQt4-webkit-devel.x86_64 0:4.6.2-8.el6 will be installed
–> Processing Dependency: sip-devel for package: PyQt4-webkit-devel-4.6.2-8.el6.x86_64
–> Processing Dependency: PyQt4-devel for package: PyQt4-webkit-devel-4.6.2-8.el6.x86_64
–> Running transaction check
—> Package PyQt4-devel.x86_64 0:4.6.2-9.el6 will be installed
—> Package sip-devel.x86_64 0:4.9.3-1.el6 will be installed
–> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
PyQt4-webkit x86_64 4.6.2-8.el6 epel 85 k
PyQt4-webkit-devel x86_64 4.6.2-8.el6 epel 11 k
Installing for dependencies:
PyQt4-devel x86_64 4.6.2-9.el6 base 6.6 M
sip-devel x86_64 4.9.3-1.el6 base 128 k

Transaction Summary
================================================================================
Install 4 Package(s)

Total download size: 6.9 M
Installed size: 22 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): PyQt4-devel-4.6.2-9.el6.x86_64.rpm | 6.6 MB 00:47
(2/4): PyQt4-webkit-4.6.2-8.el6.x86_64.rpm | 85 kB 00:01
(3/4): PyQt4-webkit-devel-4.6.2-8.el6.x86_64.rpm | 11 kB 00:00
(4/4): sip-devel-4.9.3-1.el6.x86_64.rpm | 128 kB 00:04
——————————————————————————–
Total 124 kB/s | 6.9 MB 00:56
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : sip-devel-4.9.3-1.el6.x86_64 1/4
Installing : PyQt4-devel-4.6.2-9.el6.x86_64 2/4
Installing : PyQt4-webkit-4.6.2-8.el6.x86_64 3/4
Installing : PyQt4-webkit-devel-4.6.2-8.el6.x86_64 4/4
Verifying : PyQt4-webkit-4.6.2-8.el6.x86_64 1/4
Verifying : PyQt4-webkit-devel-4.6.2-8.el6.x86_64 2/4
Verifying : sip-devel-4.9.3-1.el6.x86_64 3/4
Verifying : PyQt4-devel-4.6.2-9.el6.x86_64 4/4

Installed:
PyQt4-webkit.x86_64 0:4.6.2-8.el6 PyQt4-webkit-devel.x86_64 0:4.6.2-8.el6

Dependency Installed:
PyQt4-devel.x86_64 0:4.6.2-9.el6 sip-devel.x86_64 0:4.9.3-1.el6

Complete!
[root@elitebook rajiv]#

 

 

After that you can see QtWebKit.so exists in your  /usr/lib64/python2.6/site-packages/PyQt4 directory

qtwebkit

 

Cheers

-Rajiv Sharma

 

Advertisements
Comments
  1. aaa says:

    thank you

  2. simotivasi says:

    No package PyQt4-web available….. 😦

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s